from inventory_provider.tasks import worker
from inventory_provider.tasks.common import get_redis


def backend_db():
    return get_redis({
        'redis': {'hostname': None, 'port': None}
    }).db


def test_clear_classifier_cache(
        router,
        mocked_redis,
        data_config,
        classifier_cache_test_entries):
    worker.InventoryTask.config = data_config
    backend_db().update(classifier_cache_test_entries)
    worker.clear_cached_classifier_responses(router)
    for k in backend_db():
        assert not k.startswith('classifier:cache:%s:' % router)
